netatalk: mac_korean.c File Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
mac_korean.c File Reference
`#include <stdlib.h>`
`#include "generic_cjk.h"`
`#include "mac_korean.h"`

## Functions
static size_t | mac_korean_pull (void *, char **, size_t *, char **, size_t *)
static size_t | mac_korean_push (void *, char **, size_t *, char **, size_t *)
static size_t | mac_korean_char_push (uint8_t *out, const ucs2_t *in, size_t *size)
static size_t | mac_korean_char_pull (ucs2_t *out, const uint8_t *in, size_t *size)

## Variables
struct charset_functions | charset_mac_korean

## Detailed Description

See also
  Reference http://www.unicode.org/Public/MAPPINGS/VENDORS/APPLE/

## Function Documentation

## ◆ mac_korean_char_pull()

size_t mac_korean_char_pull | ( | ucs2_t * | out,
|  | const uint8_t * | in,
|  | size_t * | size )
| static

## ◆ mac_korean_char_push()

size_t mac_korean_char_push | ( | uint8_t * | out,
|  | const ucs2_t * | in,
|  | size_t * | size )
| static

## ◆ mac_korean_pull()

size_t mac_korean_pull | ( | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## ◆ mac_korean_push()

size_t mac_korean_push | ( | void * | cd,
|  | char ** | inbuf,
|  | size_t * | inbytesleft,
|  | char ** | outbuf,
|  | size_t * | outbytesleft )
| static

## Variable Documentation

## ◆ charset_mac_korean

struct charset_functions charset_mac_korean

Initial value:
= {
"MAC_KOREAN",
3,
mac_korean_pull,
mac_korean_push,
CHARSET_ICONV | CHARSET_MULTIBYTE | CHARSET_PRECOMPOSED | CHARSET_CLIENT,
"EUC-KR",
NULL,
NULL
}
mac_korean_pull
static size_t mac_korean_pull(void *, char **, size_t *, char **, size_t *)
Definition mac_korean.c:141
mac_korean_push
static size_t mac_korean_push(void *, char **, size_t *, char **, size_t *)
Definition mac_korean.c:102
CHARSET_PRECOMPOSED
#define CHARSET_PRECOMPOSED
Definition unicode.h:30
CHARSET_MULTIBYTE
#define CHARSET_MULTIBYTE
Definition unicode.h:32
CHARSET_ICONV
#define CHARSET_ICONV
Definition unicode.h:34
CHARSET_CLIENT
#define CHARSET_CLIENT
Definition unicode.h:28
NULL
#define NULL
Definition utf8util.c:47